#include "xphyspreset.h"

XPhysPreset::XPhysPreset()
    : XAsset()
    , mNamePtr(0)
    , mName("")
    , mType(0)
    , mMass(0)
    , mBounce(0)
    , mFriction(0)
    , mBulletForceScale(0)
    , mExplosiveForceScale(0)
    , mSndAliasPrefixPtr(0)
    , mSndAliasPrefix("")
    , mPiecesSpreadFraction(0)
    , mPiecesUpwardVelocity(0)
    , mTempDefaultToCylinder(false)
{
    
}

XPhysPreset::~XPhysPreset()
{
    
}

void XPhysPreset::ParseData(QDataStream *aStream)
{
    
}

void XPhysPreset::Clear()
{
    mNamePtr = 0;
    mName.clear();
    mType = 0;
    mMass = 0;
    mBounce = 0;
    mFriction = 0;
    mBulletForceScale = 0;
    mExplosiveForceScale = 0;
    mSndAliasPrefixPtr = 0;
    mSndAliasPrefix.clear();
    mPiecesSpreadFraction = 0;
    mPiecesUpwardVelocity = 0;
    mTempDefaultToCylinder = false;
}
